orte/mca/oob/oob_types.h File Reference.TH "orte/mca/oob/oob_types.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/oob/oob_types.h \- the oob framework 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include <limits.h>\fP
.br
\fC#include 'mca/rml/rml_types.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_OOB_TAG_NS\fP   (\fBorte_rml_tag_t\fP)   1"
.br
.RI "\fIService tags. \fP"
.ti -1c
.RI "#define \fBMCA_OOB_TAG_GPR\fP   (\fBorte_rml_tag_t\fP)   2"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_GPR_NOTIFY\fP   (\fBorte_rml_tag_t\fP)   3"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_RTE\fP   (\fBorte_rml_tag_t\fP)   4"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_EXEC\fP   (\fBorte_rml_tag_t\fP)   5"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_DAEMON\fP   (\fBorte_rml_tag_t\fP)   6"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_STDIO\fP   (\fBorte_rml_tag_t\fP)   7"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_SCHED\fP   (\fBorte_rml_tag_t\fP)   8"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_PCM_KILL\fP   (\fBorte_rml_tag_t\fP)   9"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_XCAST\fP   (\fBorte_rml_tag_t\fP)  10"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_PCM_KILL_ACK\fP   (\fBorte_rml_tag_t\fP)  11"
.br
.ti -1c
.RI "#define \fBMCA_OOB_TAG_BPROC\fP   (\fBorte_rml_tag_t\fP)  12"
.br
.ti -1c
.RI "#define \fBORTE_OOB_TAG_START_LIST\fP   (\fBorte_rml_tag_t\fP) 100"
.br
.ti -1c
.RI "#define \fBMCA_OOB_NAME_ANY\fP   &mca_oob_name_any"
.br
.RI "\fIThe wildcard for receives from any peer. \fP"
.ti -1c
.RI "#define \fBMCA_OOB_NAME_SELF\fP   orte_process_info.my_name"
.br
.RI "\fIProcess name of self. \fP"
.ti -1c
.RI "#define \fBMCA_OOB_NAME_SEED\fP   &mca_oob_name_seed"
.br
.RI "\fIProcess name of seed. \fP"
.in -1c
.SH "Detailed Description"
.PP 
the oob framework 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
